Support » Plugins » Probleme Polylang Plugin

  • Hallo!

    Ich benutze das Theme Zerif Pro und seit dem letzten Update von Polylang bekomme ich folgende Fehlermeldung:
    file(): /home/.sites/109/site6641539/web/wp-content/themes/zerif-pro/wpml-config.xml:62: parser error : Opening and ending tag mismatch: key line 61 and admin-texts in /home/.sites/109/site6641539/web/wp-content/plugins/polylang/modules/wpml/wpml-config.php on line 48 Warning: simplexml_load_file(): in /home/.sites/109/site6641539/web/wp-content/plugins/polylang/modules/wpml/wpml-config.php on line 48 Warning: simplexml_load_file(): ^ in /home/.sites/109/site6641539/web/wp-content/plugins/polylang/modules/wpml/wpml-config.php on line 48 Warning: simplexml_load_file(): /home/.sites/109/site6641539/web/wp-content/themes/zerif-pro/wpml-config.xml:63: parser error : Opening and ending tag mismatch: key line 3 and wpml-config in /home/.sites/109/site6641539/web/wp-content/plugins/polylang/modules/wpml/wpml-config.php on line 48 Warning: simplexml_load_file(): /home/.sites/109/site6641539/web/wp-content/themes/zerif-pro/wpml-config.xml:63: parser error : Premature end of data in tag admin-texts line 2 in /home/.sites/109/site6641539/web/wp-content/plugins/polylang/modules/wpml/wpml-config.php on line 48 Warning: simplexml_load_file(): /home/.sites/109/site6641539/web/wp-content/themes/zerif-pro/wpml-config.xml:63: parser error : Premature end of data in tag wpml-config line 1 in /home/.sites/109/site6641539/web/wp-content/plugins/polylang/modules/wpml/wpml-config.php on line 48

    Die Seite funktioniert nun nicht mehr ordnungsgemäß. Auch wenn ich das Plugin deaktiviere, gibt es Probleme. Brauche dringend Hilfe! Danke im Voraus.

Ansicht von 3 Antworten - 1 bis 3 (von insgesamt 3)
  • Moderator PraetorIM

    (@praetorim)

    Wahrscheinlich ist bei dem von Dir beschriebenen letzten Update von Polylang etwas schief gegangen. Deaktivere das Plugin, lösche es und installiere es neu. (Aber mach vorher ein Backup!)

    P.S.: Ein Crossposting sowohl hier wie auch im Support-Forum des Plugins (https://wordpress.org/support/topic/issue-with-polylang-since-2x-malformed-wpml-configxml-files?replies=1) ist nicht zielführend. Wir helfen hier alle nur ehrenamtlich. Derartige Crosspostings führen nur zu doppelter Arbeit.

    • Diese Antwort wurde geändert vor 4 Jahre, 1 Monat von PraetorIM.
    • Diese Antwort wurde geändert vor 4 Jahre, 1 Monat von PraetorIM.

    Danke!
    Habe das nun gemacht, Backup gemacht und das Plugin gelöscht und neu installiert. Aber sobald ich das Plugin aktiviere, kommt die gleiche Fehlermeldung wieder.

    Moderator PraetorIM

    (@praetorim)

    Schade, wäre die einfache Möglichkeit gewesen. Die andere Möglichkeit wird Dir allerdings nicht gefallen: Polylang hat mit dem Update seinen xml-Parser gewechselt und der neue ist weit weniger fehlertolerant als der bisher genutzte. Offentsichtlich kommt der neue Parser nun nicht mehr mit den von Deinem Theme modifizierten Daten zurecht.
    Von daher solltest Du einmal bei Deinem Theme-Hersteller nachfragen.

Ansicht von 3 Antworten - 1 bis 3 (von insgesamt 3)
  • Das Thema „Probleme Polylang Plugin“ ist für neue Antworten geschlossen.